Tomcat's daemonctl script

Sheldon Hearn sheldonh at starjuice.net
Tue Jan 6 05:57:48 PST 2004


On (2003/12/29 15:07), Panagiotis Astithas wrote:

> I have resorted temporarily to creating symlinks from jdk1.4.2 to
> jdk1.4.1, but overall I agree with Sheldon Hearn's opinion in:
> http://docs.freebsd.org/cgi/mid.cgi?20031215123601.GU13737 Could
> we please provide an regular rc.d script as we do for every other
> service?

For now, just use $CATALINA_HOME/bin/catalina.sh.  It supports start
and stop as expected, although you'll need to defined JAVA_HOME and
CATALINA_HOME work for it to work from $LOCALBASE/etc/rc.d .

Plus you get easy debugging for free, e.g.:

	catalina.sh jpda start

There's some breakage in $CATALINA_HOME/bin/setclasspath.sh that stops
debugging working, but it's easily fixed.  See the included patch.

Ciao,
Sheldon.

--- bin/setclasspath.sh	Mon Oct 27 17:26:34 2003
+++ /usr/local/jakarta-tomcat4.1/bin/setclasspath.sh	Tue Jan  6 15:54:16 2004
@@ -53,7 +53,7 @@
 
 # Set standard commands for invoking Java.
 _RUNJAVA="$JAVA_HOME"/bin/java
-if [ ! "$os400" ]; then
+if ! $os400; then
   _RUNJDB="$JAVA_HOME"/bin/jdb
 fi
 _RUNJAVAC="$JAVA_HOME"/bin/javac


More information about the freebsd-java mailing list